## GimpAspectPreview

GimpAspectPreview — A widget providing a preview with fixed aspect ratio.

## Synopsis

                GimpAspectPreview;
    GtkWidget*  gimp_aspect_preview_new         (GimpDrawable *drawable,
                                                 gboolean *toggle);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----GtkContainer
                               +----GtkBox
                                     +----GtkVBox
                                           +----GimpPreview
                                                 +----GimpAspectPreview

## Implemented Interfaces

GimpAspectPreview implements AtkImplementorIface.

## Properties

      "drawable"             gpointer              : Read / Write / Construct Only

## Description

A widget providing a preview with fixed aspect ratio.

## Details

### GimpAspectPreview

    typedef struct _GimpAspectPreview GimpAspectPreview;

### gimp_aspect_preview_new ()

    GtkWidget*  gimp_aspect_preview_new         (GimpDrawable *drawable,
                                                 gboolean *toggle);

Creates a new GimpAspectPreview widget for `drawable`. See also `gimp_drawable_preview_new()`.

`drawable` : | a GimpDrawable
`toggle` : | pointer to a gboolean variable to sync with the "Preview" check-button or `NULL`
Returns : |

Since GIMP 2.2

## Property Details

### The "`drawable`" property

      "drawable"             gpointer              : Read / Write / Construct Only

Since GIMP 2.4